# GoogleChartLineStyle Class Reference

Inheritance diagram for GoogleChartLineStyle:
[legend]

List of all members.

## Public Member Functions

| addStyle ($style)
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chls'

## Detailed Description

Definition at line 15 of file GoogleChartLineStyle.class.php.

## Member Function Documentation

GoogleChartLineStyle::addStyle | ( | $ | style | ) |

Returns:
  GoogleChartLineStyle

Reimplemented from BaseGoogleChartStyle.

Definition at line 30 of file GoogleChartLineStyle.class.php.

References Assert::isInstance().

Here is the call graph for this function:

static GoogleChartLineStyle::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLineStyle

Definition at line 22 of file GoogleChartLineStyle.class.php.

GoogleChartLineStyle::toString | ( |  | ) |

Implements Stringable.

Definition at line 37 of file GoogleChartLineStyle.class.php.

References Assert::isNotEmptyArray().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartLineStyle::$name = 'chls'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartLineStyle.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLineStyle.class.php